with Ada.Text_IO; use Ada.Text_IO;
with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;



Package Load_Configuration is

  Billboard_Input_Host: Unbounded_String := Null_Unbounded_String;
  Billboard_Output_Host: Unbounded_String := Null_Unbounded_String;
  Core_Host: Unbounded_String := Null_Unbounded_String;

  procedure Read_Configuration;
   --  <summary>This procedure read Distribution configuration from file
   --   config/DISTRIBUTION.txt  It is used to publish yami Channels</summary>
   --  <exception>Configuration_Exception</exception>
  function Get_Billboard_Input_Host return Unbounded_String;
   --  <summary>This procedure get the billboard_Input_host ip:port</summary>
  function Get_Billboard_Output_Host return Unbounded_String;
   --  <summary>This procedure get the billboard_Output_host ip:port</summary>
end Load_Configuration;
