with Player; use Player;

package Events.Catch is
   -- a subtype of Event_T to implement the catch event type
   type Catch_Event_T is new Event_T with record
      -- the identifier of the player who try the catch
      Player_Id : Identifier_T;
      -- a boolean to say if the catch has been successful
      Successful : Boolean;
   end record;

   -- overriding primitive operation Process to process a catch event
   procedure Process(Event : in Catch_Event_T);
end Events.Catch;
