with Utils;
with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;
with Status; use Status;
with Billboard_Output; use Billboard_Output;

package body Events.Fitness is
   procedure Process(Event : in Fitness_Event_T) is
   begin
      -- update the player fitness in player statistics
      Statistics.Players_Statistics(Event.Player_Id.Team_Id,
                                    Event.Player_Id.Player_Number)
        .Current_Fitness := Event.Value;
   end Process;
end Events.Fitness;
