with Player; use Player;

package Events.Player_Substitution is
   -- a subtype of Event_T to implement the player substitution event type
   type Player_Substitution_Event_T is new Event_T with record
      -- the identifier of the incoming player
      Incoming_Player_Id : Identifier_T;
      -- the identifier of the outgoing player
      Outgoing_Player_Id : Identifier_T;
   end record;

   -- overriding primitive operation Process to process a player substitution event
   procedure Process(Event : in Player_Substitution_Event_T);
end Events.Player_Substitution;
