with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;
with Utils;
with Billboard_Output; use Billboard_Output;

package body Events.Restart is
   procedure Process(Event : in Restart_Event_T) is
      Message : constant Unbounded_String :=
        To_Unbounded_String("Referee resumes the game.");
   begin
      -- print the message
      Utils.Logger.Add_Log(To_String(Message));
      -- send message (to SpectatorGUIs)
      Send_Message(To_String(Message), Output_Types.Spectator);
   end Process;
end Events.Restart;
