with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;
with Utils;
with Billboard_Output; use Billboard_Output;

package body Events.Start_Match is
   procedure Process(Event : in Start_Match_Event_T) is
      Message : constant Unbounded_String :=
        To_Unbounded_String("Referee starts the match.");
   begin
      -- print the message
      Utils.Logger.Add_Log(To_String(Message));
      -- send message (to all GUIs)
      Send_Message(To_String(Message), Output_Types.All_Receivers);
   end Process;
end Events.Start_Match;
