with Player; use Player;

package Events.Substitution_Request is
   -- a subtype of Event_T to implement the substitution request event type
   type Substitution_Request_Event_T is new Event_T with record
      -- the identifier of the outgoing player
      Outgoing_Player_Id : Identifier_T;
      -- a boolean to say if the substitution request has been accepted
      Is_Accepted : Boolean;
   end record;

   -- overriding primitive operation Process to process a substitution request event
   procedure Process(Event : in Substitution_Request_Event_T);
end Events.Substitution_Request;
