with Ada.Numerics.Elementary_Functions; use Ada.Numerics.Elementary_Functions;

Package body Position is
   procedure Set_Position
     (Position: in out Coordinates_T; New_X: X_Range_T; New_Y: Y_Range_T) is
   begin
      Position.X := New_X;
      Position.Y := New_Y;
   end;

   function Distance
     (From: in Coordinates_T'Class; To: in Coordinates_T'Class) return Float is
   begin
      return Sqrt(Float(To.X-From.X)**2+Float(To.Y-From.Y)**2);
   end;
end Position;

