with Output_Types; use Output_Types;

Package Position is
   -- allowed ranges for X and Y coordinates
   subtype X_Range_T is Natural range 0..105;
   subtype Y_Range_T is Natural range 0..70;

   -- set a new value for Position
   procedure Set_Position
     (Position: in out Coordinates_T; New_X: X_Range_T; New_Y: Y_Range_T);

   -- return the distance between two coordinates
   function Distance(From: in Coordinates_T'Class; To: in Coordinates_T'Class)
                     return Float;
end Position;

