with Ada.Real_Time; use Ada.Real_Time;
package Assistant_Referee is
   -- a task to implement the assistant referee
   task Assistant_Referee_Task is
      -- an entry to set the time when the ball (would) leave the game field
      entry Set_Ball_Out_Time(New_Time : in Time);
      -- an entry to reset the assistant-referee
      entry Reset_Ball_Out_Time;
      -- an entry to receive the end match notification from the Referee
      entry Quit;
   end Assistant_Referee_Task;
end Assistant_Referee;
