
package simulator_gui;

import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

class Listener implements ActionListener {
	
	private SimulatorGUI simulator_gui;
	
	
	public Listener(SimulatorGUI simulator_gui) {
		this.simulator_gui = simulator_gui;
	}
	
	public void actionPerformed(ActionEvent e) {
		synchronized (simulator_gui) {
			//start button action
			if ("start".equals(e.getActionCommand())) {
				//start match action
				if(!simulator_gui.isBrakeTime()) {
					simulator_gui.getClient().startMatch(simulator_gui.
														  getMatchConfig());
					simulator_gui.disableButton("start");
				}
				//start second half action
				else {
					simulator_gui.getClient().startSecondHalf();
					simulator_gui.disableButton("start");
				}
			}
			else
			//abort button action
			if ("abort".equals(e.getActionCommand())) {
				simulator_gui.getClient().abortMatch();
				simulator_gui.disableButton("abort");
				simulator_gui.disableButton("start");
			}
		}
	}
	
}

