with Output_Types; use Output_Types;
with Player;

package Television is
   task Frame_Manager_Task is
      -- Initialize the television with the initial players' positions
      entry Start;
      -- entry used by referee to restart the television timer
      entry Restart_Timer;
      -- entry used by referee to stop the television timer
      entry Stop_Timer;
      -- an entry called by Status Manager to update the player position when
      -- he moves on the game field
      entry Move_Player(Player_Team_Id	: in Team_Id_T;
                        Player_Task_Id 	: in Player_Index_T;
                        New_Position 	: in Coordinates_T);
      -- an entry called by player to update his identifier after substitution
      entry Substitute_Player(Player_Identifier	: in Player.Identifier_T;
                              Player_Task_Id 	: in Player_Index_T);
      entry Quit;
   end Frame_Manager_Task;
end Television;
