with Utils;
with Billboard_Output; use Billboard_Output;

package body Events.Abort_Match is
   procedure Process(Event : in Abort_Match_Event_T) is
      Message : constant String :=
        "Match aborts as a result of a SimulatorGUI request.";
   begin
      -- print the message
      Utils.Logger.Add_Log(Message);
      -- send message
      Send_Message(Message, Output_Types.All_Receivers);
   end Process;
end Events.Abort_Match;
