package Events.Ball_Out is
   -- an enum type to specify the category of a ball out event
   type Category_T is (Goal_Line, Goal, Touch_Line);

   -- a subtype of Event_T to implement the ball out event type
   type Ball_Out_Event_T is new Event_T with record
      Category : Category_T;
      Which_Goal : Team_Id_T;
   end record;

   -- overriding primitive operation Process to process a ball out event
   procedure Process(Event : in Ball_Out_Event_T);
end Events.Ball_Out;
