package Events.Change_Tactic is
   -- a subtype of Event_T to implement the change tactic event type
   type Change_Tactic_Event_T is new Event_T with record
      -- the identifier of the team who changed its tactic
      Team_Id : Team_Id_T;
      -- the new formation id
      Formation_Id : Positive;
      -- the new pressing value
      Pressing_Value : Integer;
   end record;

   -- overriding primitive operation Process to process a change tactic event
   procedure Process(Event : in Change_Tactic_Event_T);
end Events.Change_Tactic;
