with Player; use Player;

package Events.Fitness is
   -- a subtype of Event_T to implement the fitness event type
   type Fitness_Event_T is new Event_T with record
      -- the identifier of the player who suffered the foul
      Player_Id : Identifier_T;
      -- the new fitness value
      Value : Float;
   end record;

   -- overriding primitive operation Process to process a fitness event
   procedure Process(Event : in Fitness_Event_T);
end Events.Fitness;
