with Player; use Player;

package Events.Injury is
   -- a subtype of Event_T to implement the injury event type
   type Injury_Event_T is new Event_T with record
      -- the identifier of the injured player
      Player_Id : Identifier_T;
   end record;

   -- overriding primitive operation Process to process a injury event
   procedure Process(Event : in Injury_Event_T);
end Events.Injury;
