package Events.Interruption is
   -- an enum type to specify the category of a interruption event
   type Category_T is (Goal, Ball_Out, Foul);

   -- a subtype of Event_T to implement the interruption event type
   type Interruption_Event_T is new Event_T with record
      Category : Category_T;
   end record;

   -- overriding primitive operation Process to process a interruption event
   procedure Process(Event : in Interruption_Event_T);
end Events.Interruption;
